"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _EDUTYPE, _REGION;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * @description 지역별 교육청 주소, 교육기관 종류의 데이터 정의
 * @author Leegeunhyeok
 */
// 교육기관 유형 심볼 Namespace
var $EDUTYPE = {
  KINDERGARTEN: Symbol('KINDERGARTEN'),
  ELEMENTARY: Symbol('ELEMENTARY'),
  MIDDLE: Symbol('MIDDLE'),
  HIGH: Symbol('HIGH')
}; // 관할지역 심볼 Namespace

var $REGION = {
  SEOUL: Symbol('SEOUL'),
  INCHEON: Symbol('INCHEON'),
  BUSAN: Symbol('BUSAN'),
  GWANGJU: Symbol('GWANGJU'),
  DAEJEON: Symbol('DAEJEON'),
  DEAGU: Symbol('DEAGU'),
  SEJONG: Symbol('SEJONG'),
  ULSAN: Symbol('ULSAN'),
  GYEONGGI: Symbol('GYEONGGI'),
  KANGWON: Symbol('KANGWON'),
  CHUNGBUK: Symbol('CHUNGBUK'),
  CHUNGNAM: Symbol('CHUNGNAM'),
  GYEONGBUK: Symbol('GYEONGBUK'),
  GYEONGNAM: Symbol('GYEONGNAM'),
  JEONBUK: Symbol('JEONBUK'),
  JEONNAM: Symbol('JEONNAM'),
  JEJU: Symbol('JEJU')
};
var $DATA = {
  /* 교육기관 유형 */
  EDUTYPE: (_EDUTYPE = {}, _defineProperty(_EDUTYPE, $EDUTYPE.KINDERGARTEN, 1), _defineProperty(_EDUTYPE, $EDUTYPE.ELEMENTARY, 2), _defineProperty(_EDUTYPE, $EDUTYPE.MIDDLE, 3), _defineProperty(_EDUTYPE, $EDUTYPE.HIGH, 4), _EDUTYPE),

  /* 지역별 교육청 주소 */
  REGION: (_REGION = {}, _defineProperty(_REGION, $REGION.SEOUL, 'stu.sen.go.kr'), _defineProperty(_REGION, $REGION.INCHEON, 'stu.ice.go.kr'), _defineProperty(_REGION, $REGION.BUSAN, 'stu.pen.go.kr'), _defineProperty(_REGION, $REGION.GWANGJU, 'stu.gen.go.kr'), _defineProperty(_REGION, $REGION.DAEJEON, 'stu.dje.go.kr'), _defineProperty(_REGION, $REGION.DEAGU, 'stu.dge.go.kr'), _defineProperty(_REGION, $REGION.SEJONG, 'stu.sje.go.kr'), _defineProperty(_REGION, $REGION.ULSAN, 'stu.use.go.kr'), _defineProperty(_REGION, $REGION.GYEONGGI, 'stu.goe.go.kr'), _defineProperty(_REGION, $REGION.KANGWON, 'stu.kwe.go.kr'), _defineProperty(_REGION, $REGION.CHUNGBUK, 'stu.cbe.go.kr'), _defineProperty(_REGION, $REGION.CHUNGNAM, 'stu.cne.go.kr'), _defineProperty(_REGION, $REGION.GYEONGBUK, 'stu.gbe.kr'), _defineProperty(_REGION, $REGION.GYEONGNAM, 'stu.gne.go.kr'), _defineProperty(_REGION, $REGION.JEONBUK, 'stu.jbe.go.kr'), _defineProperty(_REGION, $REGION.JEONNAM, 'stu.jne.go.kr'), _defineProperty(_REGION, $REGION.JEJU, 'stu.jje.go.kr'), _REGION),
  mainUrl: 'edusys.jsp?page=sts_m40000',
  // 메인 페이지
  searchUrl: 'spr_ccm_cm01_100.ws',
  // 검색
  mealUrl: 'sts_sci_md00_001.ws',
  // 급식 URL
  calendarUrl: 'sts_sci_sf01_001.ws' // 학사일정 URL

};
var _default = {
  type: $EDUTYPE,
  region: $REGION,
  data: $DATA
};
exports["default"] = _default;